import dedent from 'dedent'

export default {
  defaultCode: dedent`
<template>
  <div class="now-page">2</div>
</template>
<script>
export default {
  components: {},
  props: {},
  data() {
  return {
    list:[1]
    }
  },
  computed: {},
  watch: {},
  mounted() {},
  methods: {}
}
${'</script>'}<style>a{color:red}</style>`,
  tplCode: dedent`<template> wl-html</template>
<script>wl-js
</script>
<style> wl-style
</style>`,
  editorOption: {
    tabSize: 4,
    foldGutter: true,
    gutters: ['CodeMirror-linenumbers', 'CodeMirror-foldgutter', 'CodeMirror-lint-markers'],
    styleActiveLine: true,
    // completeSingle: false,
    lineNumbers: true,
    lineWrapping: false, // 代码折叠
    matchBrackets: true,
    closeBrackets: true,
    autoCloseTags: true, // 闭合标签
    autoCloseBrackets: true, // 闭合括号
    line: true,
    lint: true,
    keyMap: 'sublime',
    mode: 'vue',
    theme: 'mdn-like',
    extraKeys: { 'Alt-/': 'autocomplete' },
    hintOptions: { // 自定义提示选项
      // hint: (codemirror) => { console.log(codemirror); return true },
      completeSingle: false// 当匹配只有一项的时候是否自动补全
    }
  }
}
