

```bash
npm install wl-json-schema
```

```vue
import wlJsonSchema from 'wl-json-schema'
Vue.use(wlJsonSchema)
```

```vue
<template>
  <div id="app">
    ...
    <wl-json-schema :value="tree"/>
    ...
  </div>
</template>

<script>
export default {
  name: 'App',
  data() {
    return {
      tree:
      {
        root: {
          type: "object"
        }
      }
    }
  }
}
</script>
```
### json-schema-editor-vue属性说明如下：

|属性|说明|类型|是否必须|默认值|
:-|:-|:-|:-|:-
|value|传入一个默认的树节点，用来接收编辑后的json schema结果|Object|是||
|disabled|节点名称不可编辑|Boolean||`false`|
|disabledType|节点类型不可选择|Boolean||`false`|
|root|是否是根节点|Boolean||`true`|
|tipDisabled|是否禁用提示|Boolean||`false`|
|delay|提示信息延迟时间（毫秒）|Number||`1000`|



### 版本说明
#### 0.1.6
    1.增加控制是否显示提示功能

