import WlCodemirrorEditor from './wl-codemirror-editor'
import WlCodemirror from './wl-codemirror'
const components = [
  WlCodemirrorEditor,
  WlCodemirror
]
window.log = (...msg) => {
  let dev = process.env.NODE_ENV === 'development'
  if (msg[0] == 'editor' && dev) {
    console.log(...msg)
  }
  if (msg[0] == 'htmlHint' && dev) {
    console.log(...msg)
  }
}
// 定义 install 方法
const install = function (Vue) {
  if (install.installed) return
  install.installed = true
  // 遍历并注册全局组件
  components.map(component => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  // 导出的对象必须具备一个 install 方法
  install,
  // 组件列表
  ...components
}
